Subject: bug#26125: ispell fails to detect certain typos

From: Arash Esbati <[email-masked]>
Date: Thu, 16 Mar 2017 16:28:07 +0100

Leon Meier <[email-masked]> writes:

>> You can put something like this in your .emacs; then Emacs does it
>> automatically for you:
>>
>>     (with-eval-after-load "tex-ispell"
>>       (TeX-ispell-skip-setcar '(("\\\\(" . "\\\\)"))))
>
> These lines in .emacs result in
>
> [
> Warning (initialization): An error occurred while loading
> `/home/malkis/.emacs':
>
> Symbol's function definition is void: with-eval-after-load
>
> To ensure normal operation, you should investigate and remove the
> cause of the error in your initialization file.  Start Emacs with
> the `--debug-init' option to view a complete error backtrace.
> ]

Sigh, sorry, my bad!  `with-eval-after-load' was introduced in Emacs
24.4.  Please use the snippet below, it should do the trick:

     (eval-after-load "tex-ispell"
       '(TeX-ispell-skip-setcar '(("\\\\(" . "\\\\)"))))

> Feel free to tell me to do more testing for you with the current
> auctex. (For production purposes I'm going to switch back to the old
> version shipped with Opensuse 42.2 anyway.)

Thanks for your offer, I really appreciate it!  It would be great if you
would stick with AUCTeX 11.90 and report any other problems you
encounter.  11.87 was released 2012.  AUCTeX went through some
development since then and has some cool new features.  And the parts I
haven't touched are bug-free, i.e. 99.99% :-)

Best, Arash